summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-filemagic
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/ruby-filemagic')
-rw-r--r--dev-ruby/ruby-filemagic/Manifest1
-rw-r--r--dev-ruby/ruby-filemagic/metadata.xml12
-rw-r--r--dev-ruby/ruby-filemagic/ruby-filemagic-0.7.2.ebuild48
3 files changed, 61 insertions, 0 deletions
diff --git a/dev-ruby/ruby-filemagic/Manifest b/dev-ruby/ruby-filemagic/Manifest
new file mode 100644
index 000000000000..0db39a866a4d
--- /dev/null
+++ b/dev-ruby/ruby-filemagic/Manifest
@@ -0,0 +1 @@
+DIST ruby-filemagic-0.7.2.gem 19456 BLAKE2B 5008fb27a5b6bbd93522c72381b1c74788e544e6120f3c44f4a594b360ee783d4e92e73ef584a8e56c1776a5e5e824d6fa603df135b6e1779fa460c19c3bb4a7 SHA512 b68324dfb0cd2e55cd200696fabe87c0aa68a11922789ae40abc999db7d200810cffa2c414c07bc96e2fee54aab775f01752f951b3a3273289594201ca547494
diff --git a/dev-ruby/ruby-filemagic/metadata.xml b/dev-ruby/ruby-filemagic/metadata.xml
new file mode 100644
index 000000000000..fe12897854eb
--- /dev/null
+++ b/dev-ruby/ruby-filemagic/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">blackwinter/ruby-filemagic</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/ruby-filemagic/ruby-filemagic-0.7.2.ebuild b/dev-ruby/ruby-filemagic/ruby-filemagic-0.7.2.ebuild
new file mode 100644
index 000000000000..3423c96dd0e3
--- /dev/null
+++ b/dev-ruby/ruby-filemagic/ruby-filemagic-0.7.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="ChangeLog README TODO"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Ruby binding to libmagic"
+HOMEPAGE="https://github.com/blackwinter/ruby-filemagic"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE=""
+
+DEPEND="${DEPEND} sys-apps/file test? ( >=sys-apps/file-5.30 )"
+RDEPEND="${RDEPEND} sys-apps/file"
+
+all_ruby_prepare() {
+ # Fix up tests for newer sys-apps/file definitions
+ sed -i -e '/test_abbrev_mime_type/,/^ end/ s/ms-office/ms-excel/' test/filemagic_test.rb || die
+
+ # Fix up broken test symlink and regenerate compiled magic file
+ pushd test || die
+ rm -f pylink && ln -s pyfile pylink || die
+ file -C -m perl || die
+ popd || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/filemagic extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/filemagic
+ mv ext/filemagic/ruby_filemagic$(get_modname) lib/filemagic/ || die
+}
+
+each_ruby_test() {
+ find test
+ ${RUBY} -Ctest -I../lib filemagic_test.rb || die
+}